Subject: [RFC PATCH 0/2] arm64: Add support for 48-bit Physical Addresses

From: [email-masked] (Catalin Marinas)
Date: Thu, 5 Dec 2013 17:30:37 +0000

On Thu, Dec 05, 2013 at 02:35:52PM +0000, Radha Mohan wrote:
> Before going for a next version of patch to fix breaking SMMU and KVM,
> I would like to know  about the best possible implementation.
> Should I go for a compile time option? I am not in favor of this. What
> are options if in future there's 16KB page support in the kernel.

As I said in the other email, separate the shifts definitions (primarily
page size dependent) from the type definitions (dependent on the number
of levels).

Just to understand your requirements better. Does your platform have
more than 256GB of RAM? With the current configuration, the VA space is
39-bit with 4K (which would allow 512GB minus some vmalloc and modules
space) and 42-bit with 64K pages (2TB minus vmalloc/modules).

-- 
Catalin